package com.kingdee.eas.custom.erp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.erp.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class synSalryFromErp extends AbstractBizCtrl implements IsynSalryFromErp
{
    public synSalryFromErp()
    {
        super();
        registerInterface(IsynSalryFromErp.class, this);
    }
    public synSalryFromErp(Context ctx)
    {
        super(ctx);
        registerInterface(IsynSalryFromErp.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("3E518859");
    }
    private synSalryFromErpController getController() throws BOSException
    {
        return (synSalryFromErpController)getBizController();
    }
    /**
     *同步薪酬数据到ERP-User defined method
     *@param yearMonth 年月
     */
    public void synSalaryDataToErp(String yearMonth) throws BOSException
    {
        try {
            getController().synSalaryDataToErp(getContext(), yearMonth);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}